Support » Plugin: Easy Digital Downloads - Mollie Gateway » [BUG] Fatal Error due to not loading autoload.pp

  • Resolved ignatiusjeroe

    (@ignatiusjeroe)


    There is a conflict between your plugin and my own. My plugin also instantiates class ‘Mollie\Api\MollieApiClient’. Since your plugin checks if this class is available, the below if-statement fails. Consequently skips loading the required autload.php. Not including this file triggers a Fatal error. I suggest removing the if-statement. Just always load the autoload.php

    @ edd-mollie-gateway.php line 87

    private function includes() {
    	if ( ! class_exists( 'Mollie\Api\MollieApiClient' ) ) {
    		require_once EDD_MOLLIE_PLUGIN_DIR . '/vendor/autoload.php';
    	 }
    
Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Contributor Ewout

    (@pomegranate)

    Thanks for reporting. The reason this was originally included was to keep the plugin nimble and prevent Mollie library version conflicts. But of course, since the autoloader is (has become) also responsible for loading core plugin classes, that logic is flawed.

    I remove this check in the next release!

    Thread Starter ignatiusjeroe

    (@ignatiusjeroe)

    Thank you! Im looking forward to the next release. Any idea on when this will be?

    Plugin Contributor Ewout

    (@pomegranate)

    Hopefully this week!

    Plugin Contributor Ewout

    (@pomegranate)

    Version 3.2.3 is out today and addresses this issue. Thanks again for reporting!

    Thread Starter ignatiusjeroe

    (@ignatiusjeroe)

    Super!!!

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.